Перейти к основному содержанию

Documentation Index

Fetch the complete documentation index at: https://docs.crazyrouter.com/llms.txt

Use this file to discover all available pages before exploring further.

Ideogram Legacy

The Ideogram Legacy API provides basic image generation capabilities.
We recommend using Ideogram V3 for better generation results.

Generate Image

POST /ideogram/generate

Request Parameters

ParameterTypeRequiredDescription
image_requestobjectYesImage request object
image_request.promptstringYesPrompt
image_request.modelstringNoModel version: V_2, V_2_TURBO
image_request.aspect_ratiostringNoAspect ratio
image_request.magic_prompt_optionstringNoPrompt enhancement
image_request.style_typestringNoStyle type
image_request.negative_promptstringNoNegative prompt

Request Example

cURL
curl -X POST https://crazyrouter.com/ideogram/generate \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "image_request": {
      "prompt": "A futuristic cityscape at night with neon lights",
      "model": "V_2",
      "aspect_ratio": "ASPECT_16_9",
      "magic_prompt_option": "AUTO"
    }
  }'

Response Example

{
  "created": 1709123456,
  "data": [
    {
      "url": "https://ideogram.ai/assets/image/...",
      "prompt": "A futuristic cityscape at night with neon lights",
      "resolution": "1344x768",
      "seed": 67890
    }
  ]
}

Remix

POST /ideogram/remix
Generate variations based on a reference image.
cURL
curl -X POST https://crazyrouter.com/ideogram/remix \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "image_request": {
      "prompt": "Same scene in anime style",
      "model": "V_2"
    },
    "image_file": "https://example.com/photo.jpg"
  }'

Upscale Image

POST /ideogram/upscale
Upscale an image to a higher resolution.
cURL
curl -X POST https://crazyrouter.com/ideogram/upscale \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "image_request": {
      "prompt": "high quality detailed image"
    },
    "image_file": "https://example.com/photo.jpg"
  }'

Describe Image

POST /ideogram/describe
Let the model describe the image content and generate corresponding prompts.
cURL
curl -X POST https://crazyrouter.com/ideogram/describe \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "image_file": "https://example.com/photo.jpg"
  }'

Response Example

{
  "descriptions": [
    {
      "text": "A futuristic cityscape at night with vibrant neon lights reflecting off wet streets, tall skyscrapers with holographic advertisements"
    }
  ]
}